Advocates
Get Payment Method
Retrieve the masked payment method for an advocate. The advocate can be looked up by their Reditus ID (UUID) or by their uid (your internal user ID). Returns anonymized payment details so you can show a “connected” state without exposing sensitive data.
GET
/
v1
/
advocates
/
{advocate_id}
/
payment_method
Get Payment Method
curl --request GET \
--url https://api.getreditus.com/api/v1/advocates/{advocate_id}/payment_method \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getreditus.com/api/v1/advocates/{advocate_id}/payment_method"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getreditus.com/api/v1/advocates/{advocate_id}/payment_method', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"payment_type": "paypal",
"masked_value": "jo****@gmail.com",
"first_name": "John",
"last_name": "Doe"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The advocate's Reditus ID (UUID) or your internal user ID (uid)
Response
Successful response
Show child attributes
Show child attributes
⌘I
Get Payment Method
